Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessageSchedulingStateSendWhenOnline

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageSchedulingState
it.tdlight.jni.TdApi.MessageSchedulingStateSendWhenOnline

Enclosing class:
  TdApi

public static final class TdApi.MessageSchedulingStateSendWhenOnline extends TdApi.MessageSchedulingState
The message will be sent when the other user is online. Applicable to private chats only and when the exact online status of the other user is known.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.

## Constructor Summary

Constructors
Constructor
Description
`MessageSchedulingStateSendWhenOnline()`
The message will be sent when the other user is online.
`MessageSchedulingStateSendWhenOnline(DataInput input)`
The message will be sent when the other user is online.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### MessageSchedulingStateSendWhenOnline

public MessageSchedulingStateSendWhenOnline()
The message will be sent when the other user is online. Applicable to private chats only and when the exact online status of the other user is known.

### MessageSchedulingStateSendWhenOnline

public MessageSchedulingStateSendWhenOnline(DataInput input) throws IOException
The message will be sent when the other user is online. Applicable to private chats only and when the exact online status of the other user is known.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`